<?php 
include_once('../../../php/sessionStart.php'); 
include_once('../../../php/db/dbExec.php');
include_once('../../../php/timezone.php');

$dtFec=date("Y-m-d");
$nAnio=date("Y");
$nMes=date("m");

$empCod = $_SESSION['empCod'];
$empNom = $_SESSION['empNom'];
$empNit = $_SESSION['empNit'];

?>
<?php include_once('../includes/htmlOpen.php'); ?>
    <main class="main" style="">
      <?php 
        $li[0] = '<i class="fas fa-file-invoice"></i>';
        $li[1] = $_GET["opcNom"];
        include_once('../../../php/includes/ol.php');
      ?>

      <div class="container-as">
        <div class="row">
          <div class="col">
            <ul class="nav nav-pills mb-1" id="pills-tab" role="tablist">
              <li class="nav-item">
                <a class="nav-link active" id="pills-0-tab" data-toggle="pill" href="#pills-0" role="tab" aria-controls="pills-0" aria-selected="true">Generar Resumen por departamento y area</a>
              </li>
            </ul>
            <div class="tab-content bg-transparent border-0" id="pills-tabContent">
              <div class="tab-pane fade show active" id="pills-0" role="tabpanel" aria-labelledby="pills-0-tab">

                <form action="" name="thisform" autocomplete="off" enctype="multipart/form-data">
                  <div class="form-row">
                    <div class="col-md-10">
                      <div class="form-group">
                        <div class="form-row">
                          <div class="col-2">
                                <label class="font-size-md" for="dtDel">Periodo del:</label>
                                <input type="date" class="form-control form-control-md form-control-as" id="dtDel" placeholder="">
                          </div>
                          <div class="col-2">
                                <label class="font-size-md" for="dtAl">Al</label>
                                <input type="date" class="form-control form-control-md form-control-as" id="dtAl" placeholder="">
                          </div>
                        </div>
                        <div class="form-row">
                          <div class="col-2">
                            <label class="font-size-lg" for="txtCod">Estilo</label>
                            <input type="text" class="form-control form-control-lg form-control-as" id="txtCod" maxlength="30">
                          </div>
                          <div class="col-5">
                            <label class="font-size-lg" for="txtDesc">Tipo de Prenda</label>
                            <input type="text" class="form-control form-control-lg form-control-as" id="txtDesc" maxlength="80" disabled>
                          </div>
                        </div>
                        <div class="form-row">
                        </div>
                        <div class="form-row">
<!---                           <div class="col-3 mt-2">
                            <button class="btn btn-outline-success btn-block" id="btnImprimir" type="button">Imprimir</button>
                          </div>   -->
                          <div class="col-7 mt-2">
                            <button class="btn btn-outline-success btn-block" id="btnExcel" type="button">Generar Excel</button>
                          </div>
                        </div>
                      </div>
                      <h3 class="text-light"></h3>
                      <h3 class="text-light"></h3>
                      <div class="form-group">
                        <div class="form-row">
                        </div>
                      </div>
                    </div>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </main>
<?php include_once('../../../php/includes/htmlClose.php'); ?>

<script>
  var pressEnter = false;
  var nuevo = true;
  var nuevoArtic = true;
  var mesCerrado = false;
  var inputCtaMov = "txtCta";
  var totant = 0;
  var inputPlani = "numNum";
  var tblNomperAnt;
  var tblPolAnt;
  var btnAddEdit = "00";
  var inputArtic = "txtCodd";
  var unimed = "XXX";
  var ctaInc = false;
  var inputEmple = "numCoddag";
  var inputEstilo = "txtCod";

  const dtDel = document.thisform.dtDel;
  const dtAl = document.thisform.dtAl;

  function restriccion(consultar = false){
  }

  function restriccionCamposVacios() {
  }
    
  function limpiar(todo = false){
    dtAl.value= '<?php echo $dtFec; ?>';
    dtDel.value= '<?php echo $dtFec; ?>';
  }

  $(document).ready(function() {
    $(this).find('input:visible:first').focus();
    //document.thisform.dtFec.value = '<?php echo $dtFec; ?>';
    //document.thisform.dtFvalida.value = '<?php echo $dtFec; ?>';
    dtDel.value = dateToday();
    dtAl.value = dateToday();

    // SHOW MODAL
    $('#modalNomper, #modalNomperag').on('shown.bs.modal', function() {
      if (!isMobile()) {
        $(this).find('input:enabled:first').focus();
      }
    });

    // SUBMIT FORM
    $('form').submit(function() {
      return false;
    });

    // VALID ESTILO
    $("#txtCod")
    .focus(function() {
      inputEstilo = $(this).attr('id');
      txtCod.value="";
      txtDesc.value = "Todos los Estilos";
    })
    .change(function (){
      txtThis = this;
      if (isNullPer(txtCod.value)) {
        txtDesc.value = "Todos los Estilos";
      } else {
        const parametros = new FormData();
        parametros.append("action", "consultarEstilo");

        parametros.append("txtCod", txtCod.value);

        //txtNext.focus()

        $.ajax({
          data:  parametros,
          url:   window.location.origin+window.location.pathname+"actions.php",
          type:  "post",
          contentType: false,
          processData: false,
          async: false,
          success: function (jsonPhp) {
            //console.log(jsonPhp);
            const jsonJS = JSON.parse(jsonPhp);

            if(jsonJS.error == true){
              alError(jsonJS);
            } else {
              if (isNullPer(jsonJS.festilos)) {
                txtCod.focus();
                alWarning({"msg":{"title":"ESTILO NO REGISTRADO","text":"Este Estilo no ha sido registrado"}});
                 return true;
              } else {
                txtDesc.value = jsonJS.festilos.fes_prenda;
              }
            }
          }
        });
      }
    });

    // CLICK IMPRIMIR
    $("#btnImprimir").click(function (){
      if (restriccion(true)) {return};
      const getdtDel = "?dtDel="+dtDel.value;      
      const getdtAl = "&dtAl="+dtAl.value;
      const gettxtCod = "&txtCod="+txtCod.value;
      const gettxtDesc = "&txtDesc="+txtDesc.value;

      var url = window.location.origin+window.location.pathname+"print.php"+getdtDel+getdtAl+gettxtCod+gettxtDesc;

      window.open(url, '_blank');

//      numNum.focus();

    });


    // CLICK EXCEL
    $("#btnExcel").click(function (){
      if (restriccion(true)) {return};
      const getdtDel = "?dtDel="+dtDel.value;      
      const getdtAl = "&dtAl="+dtAl.value;
      const gettxtCod = "&txtCod="+txtCod.value;
      const gettxtDesc = "&txtDesc="+txtDesc.value;

      var url = window.location.origin+window.location.pathname+"excel.php"+getdtDel+getdtAl+gettxtCod+gettxtDesc;

      window.location.href = url;
    });
  });

  // MODALDetao HIDDEN
  $('#modalNomper').on('hidden.bs.modal', function (e) {
    $("body").off("click", "#btnModificar");
  });


  // FOCUS PILL
  $('a[data-toggle="pill"]').on('shown.bs.tab', function (e) {
    if (!isMobile()) {
      const target = e.target.attributes.href.value;
      const relatedTarget = e.relatedTarget.attributes.href.value;

      if (target != "#pills-0") {
        $(target+' input:visible:first').focus();
      } else {
        (relatedTarget == "#pills-1") ? selBodegapro.focus() : 0;
      //  (relatedTarget == "#pills-000") ? numCoddag.focus() : 0;
      }
    }
  });

</script>

